I think I've screwed up big time...

Discussion in 'iPhone Tips, Help and Troubleshooting' started by duelingdragons, Jun 16, 2011.

  1. duelingdragons macrumors 65816

    Joined:
    May 13, 2007
    Location:
    Orlando, FL
    #1
    iPhone 4, 4.3.2 (jailbroken), my friend added my UDID to his dev account so I could try iOS 5 Beta.

    Installed the iTunes 10.5 beta, but decided not to install iOS 5.

    I decided to update to 4.3.3 since I was having some issues with the phone, and was told to update to 4.3.3.

    I tried updating to 4.3.3 via iTunes 10.5 Beta, but got an error message saying that the device could not be updated, because it isn't eligible for the requested build.

    Figured it was because I was running 10.5 Beta.

    Uninstalled 10.5, reinstalled 10.3.1, and I still get the error when I try to update.

    WELP. What can I do? This is on OSX btw.
     
  2. rick snagwell macrumors 68040

    rick snagwell

    Joined:
    Feb 12, 2011
    Location:
    oceanside, ca
    #2
    maybe make a custom ipsw thru PT, than option/restore it via itunes 10.5
     

Share This Page